For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
              • GETList Receipts
              • GETGet Receipt
              • DELDelete Receipt
              • GETList Receipt Lines
              • GETList Lines of Receipt
              • GETGet Receipt Line Detail
              • DELDelete Receipt Line
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementInvoice ManagementReceipt

List Receipts

GET
https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts
GET
/api/v3/io/ip/receipts
$curl https://api-b2b.bigcommerce.com/api/v3/io/ip/receipts \
> -H "X-Auth-Token: <apiKey>"
200example-1
1{
2 "code": 200,
3 "data": [
4 {
5 "id": 85,
6 "createdAt": 1630658187,
7 "updatedAt": 1630658187,
8 "storeHash": "1i6zpxpe3g",
9 "customerId": "5485",
10 "payerName": "k Admin",
11 "payerCustomerId": "5485",
12 "transactionType": "Paid",
13 "paymentType": "Visa ending in 1111",
14 "referenceNumber": "375026",
15 "paymentId": 92,
16 "externalId": "",
17 "externalCustomerId": "",
18 "details": {
19 "paymentDetails": {
20 "memo": "payment memo"
21 }
22 },
23 "total": {
24 "code": "USD",
25 "value": "122.9500"
26 }
27 },
28 {
29 "id": 84,
30 "createdAt": 1630638069,
31 "updatedAt": 1630638069,
32 "storeHash": "1i6zpxpe3g",
33 "customerId": "5707",
34 "payerName": "Cash",
35 "payerCustomerId": "5707",
36 "transactionType": "Paid",
37 "paymentType": "Offline",
38 "referenceNumber": "test",
39 "paymentId": 91,
40 "externalId": "",
41 "externalCustomerId": "",
42 "details": {
43 "paymentDetails": {
44 "memo": "test"
45 }
46 },
47 "total": {
48 "code": "CNY",
49 "value": "0.8900"
50 }
51 }
52 ],
53 "meta": {
54 "pagination": {
55 "totalCount": 2,
56 "offset": 0,
57 "limit": 10
58 },
59 "message": "SUCCESS"
60 }
61}
Get receipts, with pagination data
Was this page helpful?
Previous

Update Offline Payment

Next

Get Receipt

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Query parameters

offsetintegerOptional

Pagination offset default: 0

limitintegerOptional1-250Defaults to 10

Pagination limit default: 10

orderByenumOptionalDefaults to DESC

Allow: ‘DESC’, ‘ASC’

Allowed values:
sortByenumOptionalDefaults to createdAt
The response sorted by which field
qstringOptional
You can perform keyword queries on fields corresponding to the value of "searchBy" or, if "searchBy" is empty, on all fields supported by "searchBy".
searchByenumOptional
The response search by which field
Allowed values:
paymentStatus[]list of enumsOptional

Payment processing status. 0 means ‘Incomplete’ status, 1 means ‘Awaiting Processing’ status, 2 means ‘Processing’ status, 3 means ‘Completed’ status, 4 means ‘Refunded’ status

Allowed values:

Response

OK
codedouble
datalist of objects
metaobject
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.